# 32/64bit spec-file
#

%define _ver2	2_1_0
Summary: Birt- Batch Image Resizer
Name: birt
Version: 2.1.0
Release: %mkrel 2
License: GPLv2
Group: Graphics
URL: http://vrai.net/project.php?project=birt
Source:	http://vrai.net/files/software_projects/birt/%{name}_%{_ver2}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:	qt4-devel 
BuildRequires:	ImageMagick
Requires:	task-qt4

%description
BIRT, the Batch Image Resizing Thing, is a simple application that
allows a large number of images to be resized in one go. Obviously
this is possible by scripting ImageMagick but it's usually somewhat
easier with a GUI. It was created in order to learn how to develop
using the Qt library, and to facilitaty the maintenance of an online
photo album where each hi-res photo needs a low-res copy and a
thumbnail.

%prep
%setup -q -n %{name}_%{_ver2}

%build
qmake %{name}.pro
%{qt4bin}/qmake QMAKE_CXXFLAGS="%{optflags}"

make

%install
rm -rf %{buildroot}
install -dm 755 %{buildroot}%{_bindir}
install -m 755 %{name} %{buildroot}%{_bindir}/%{name}

install -dm 755 %{buildroot}%{_datadir}/pixmaps
install -m 644 images/birt_icon_48x48.png \
	%{buildroot}%{_datadir}/pixmaps/%{name}.png

# menu-entry
install -dm 755 %{buildroot}%{_datadir}/applications
%__cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=BIRT
Comment=Batch Image Resizer 
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Graphics;X-MandrivaLinux-Multimedia-Graphics;
EOF

%clean
rm -rf $RPM_BUILD_ROOT



%files
%defattr(-,root,root)
%doc *.txt
%doc docs/help/*
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/*.png

%changelog
* Sun Apr 07 2013 pinoc <vogtpet at gmail.com>  2.1.0-2pclos2013
- rebuilt against newer QT for 32 and 64

* Mon Feb 16 2009 Slick50 <slick50@linuxgator.org> 2.1.0-1pclos2007
- 2.1.0

* Mon Aug 18 2008 Slick50 <slick50@linuxgator.org> 1.2.2-1pclos2007
- initial build
